Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 487816 - sys-firmware/ipxe - Make setting BANNER_TIMEOUT optional
Summary: sys-firmware/ipxe - Make setting BANNER_TIMEOUT optional
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo QEMU Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-12 23:13 UTC by Dyweni
Modified: 2016-06-21 04:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dyweni 2013-10-12 23:13:38 UTC
When BANNER_TIMEOUT is set to 0, the 'Ctrl-B for shell' is disabled and I cannot get to the iPXE shell.

Please make setting the BANNER_TIMEOUT to value 0 optional, triggered by a USE flag (i.e. no-banner).


Reproducible: Always

Steps to Reproduce:
1. Ebuild always sets BANNER_TIMEOUT to 0
2.
3.
Actual Results:  
Ctrl-B and iPXE shell is disabled.

Expected Results:  
BANNER_TIMEOUT should only be set to 0 if a USE flag (to be defined) is enabled... this way Ctrl-B and iPXE shell can be enabled or disabled by preference.
Comment 1 Dyweni 2014-04-07 01:35:03 UTC
Below is how I would make the banner optional:




# diff -Nru /usr/portage/sys-firmware/ipxe/ipxe-1.0.0_p20130925.ebuild /usr/local/portage/sys-firmware/ipxe/ipxe-1.0.0_p20130925.ebuild 
--- /usr/portage/sys-firmware/ipxe/ipxe-1.0.0_p20130925.ebuild	2013-11-07 09:48:40.000000000 -0600
+++ /usr/local/portage/sys-firmware/ipxe/ipxe-1.0.0_p20130925.ebuild	2014-04-06 20:22:12.000000000 -0500
@@ -16,7 +16,7 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="iso +qemu undi usb vmware"
+IUSE="iso +qemu undi usb vmware banner"
 
 DEPEND="sys-devel/make
 	dev-lang/perl
@@ -37,10 +37,12 @@
 }
 
 src_prepare() {
-	cat <<-EOF > "${S}"/config/local/general.h
+	if ! use banner; then
+		cat <<-EOF > "${S}"/config/local/general.h
 #undef BANNER_TIMEOUT
 #define BANNER_TIMEOUT 0
 EOF
+	fi
 
 	if use vmware; then
 		cat <<-EOF >> "${S}"/config/local/general.h
Comment 2 SpanKY gentoo-dev 2016-06-21 04:34:21 UTC
i've added USE=savedconfig support which allows you to control this behavior

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0494fd4a9705ac16e42112c607a7a5c050d82907